WorkerInternal

Accept worker synthetic probe results

POST
/internal/worker/synthetic-monitors/worker-probes/results

Authorization

WorkerApiKey
AuthorizationBearer <token>

Shared WORKER_API_KEY secret for worker internal routes

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/internal/worker/synthetic-monitors/worker-probes/results" \  -H "Content-Type: application/json" \  -d '{    "results": [      {        "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",        "monitorId": "075fef10-8522-4c43-ac39-f1796133943e",        "observedAt": "2019-08-24T14:15:22Z",        "status": "up",        "responseTimeMs": 0,        "httpStatusCode": 0      }    ]  }'
{  "accepted": 0}
Empty
Empty